Package org.eclipse.net4j.util.io

## Class TMPUtil

- java.lang.Object
- - org.eclipse.net4j.util.io.TMPUtil

-     public final class TMPUtil
      extends java.lang.Object

  Author:
    Eike Stepper

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `SYSTEM_TEMP_FOLDER` |
    `static java.lang.String` | `TEMP_FOLDER_PROPERTY` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static java.io.File` | `createTempFile()` |
    `static java.io.File` | `createTempFile​(java.lang.String prefix)` |
    `static java.io.File` | `createTempFile​(java.lang.String prefix, java.lang.String suffix)` |
    `static java.io.File` | `createTempFile​(java.lang.String prefix, java.lang.String suffix, java.io.File directory)` |
    `static java.io.File` | `createTempFolder()` |
    `static java.io.File` | `createTempFolder​(java.lang.String prefix)` |
    `static java.io.File` | `createTempFolder​(java.lang.String prefix, java.lang.String suffix)` |
    `static java.io.File` | `createTempFolder​(java.lang.String prefix, java.lang.String suffix, java.io.File directory)` |
    `static java.io.File` | `getTempFolder()` |
    `static java.io.File` | `getTempName()` |
    `static java.io.File` | `getTempName​(java.lang.String prefix)` |
    `static java.io.File` | `getTempName​(java.lang.String prefix, java.lang.String suffix)` |
    `static java.io.File` | `getTempName​(java.lang.String prefix, java.lang.String suffix, java.io.File directory)` |
    `static void` | `setTempFolder​(java.lang.String tempFolder)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TEMP_FOLDER_PROPERTY

          public static final java.lang.String TEMP_FOLDER_PROPERTY

      Since:
        3.0
      See Also:
        Constant Field Values

    - #### SYSTEM_TEMP_FOLDER

          public static final java.lang.String SYSTEM_TEMP_FOLDER

      Since:
        2.0

  - ### Method Detail

    - #### getTempFolder

          public static java.io.File getTempFolder()

      Since:
        3.0

    - #### setTempFolder

          public static void setTempFolder​(java.lang.String tempFolder)

      Since:
        3.0

    - #### getTempName

          public static java.io.File getTempName()
                                          throws IORuntimeException

      Throws:
        `IORuntimeException`
      Since:
        3.7

    - #### getTempName

          public static java.io.File getTempName​(java.lang.String prefix)
                                          throws IORuntimeException

      Throws:
        `IORuntimeException`
      Since:
        3.7

    - #### getTempName

          public static java.io.File getTempName​(java.lang.String prefix,
                                                 java.lang.String suffix)
                                          throws IORuntimeException

      Throws:
        `IORuntimeException`
      Since:
        3.7

    - #### getTempName

          public static java.io.File getTempName​(java.lang.String prefix,
                                                 java.lang.String suffix,
                                                 java.io.File directory)
                                          throws IORuntimeException

      Throws:
        `IORuntimeException`
      Since:
        3.7

    - #### createTempFolder

          public static java.io.File createTempFolder()
                                               throws IORuntimeException

      Throws:
        `IORuntimeException`

    - #### createTempFolder

          public static java.io.File createTempFolder​(java.lang.String prefix)
                                               throws IORuntimeException

      Throws:
        `IORuntimeException`

    - #### createTempFolder

          public static java.io.File createTempFolder​(java.lang.String prefix,
                                                      java.lang.String suffix)
                                               throws IORuntimeException

      Throws:
        `IORuntimeException`

    - #### createTempFolder

          public static java.io.File createTempFolder​(java.lang.String prefix,
                                                      java.lang.String suffix,
                                                      java.io.File directory)
                                               throws IORuntimeException

      Throws:
        `IORuntimeException`

    - #### createTempFile

          public static java.io.File createTempFile()
                                             throws IORuntimeException

      Throws:
        `IORuntimeException`
      Since:
        3.1

    - #### createTempFile

          public static java.io.File createTempFile​(java.lang.String prefix)
                                             throws IORuntimeException

      Throws:
        `IORuntimeException`
      Since:
        3.1

    - #### createTempFile

          public static java.io.File createTempFile​(java.lang.String prefix,
                                                    java.lang.String suffix)
                                             throws IORuntimeException

      Throws:
        `IORuntimeException`
      Since:
        3.1

    - #### createTempFile

          public static java.io.File createTempFile​(java.lang.String prefix,
                                                    java.lang.String suffix,
                                                    java.io.File directory)
                                             throws IORuntimeException

      Throws:
        `IORuntimeException`
      Since:
        3.1